%define _oldname teatime_applet_2
%define _name gnome-teatime
%define _amname gnome_teatime

Name: gnome-applets-extra-teatime
Version: 2.8.0
Release: alt3

Summary: Tea drawing time applet for GNOME
Summary (ru_RU.KOI8-R):     GNOME
Group: Graphical desktop/GNOME
License: GPL
Url: http://det.cable.nu/teatime

Source: http://det.cable.nu/pakete/%_oldname-%version.tar.gz
Source1: %name-ru.po
Patch1: %name-2.4.1-alt-configure.patch
Patch2: %name-2.4.1-alt-makefile.patch

# Versions taken from configure.ac
%define gstreamer_ver 0.10
%define gtk_ver 2.6
%define gnome_vfs_ver 2.4
%define gnome_panel_ver 2.6
%define libxml_ver 2.6
%define gconf_ver 2.4

PreReq: GConf2 >= %gconf_ver
Requires: gstreamer >= %gstreamer_ver
Requires: gnome-panel >= %gnome_panel_ver

BuildPreReq: pkgconfig >= 0.9 intltool
BuildPreReq: glib2-devel >= 2.6.0
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: gst-plugins-devel >= %gstreamer_ver
BuildPreReq: gnome-vfs-devel >= 2.4
BuildPreReq: libgnome-panel-devel >= %gnome_panel_ver
BuildPreReq: libxml2-devel >= %libxml_ver
BuildPreReq: libGConf2-devel >= %gconf_ver

BuildRequires: libSM-devel libpopt-devel zlib-devel

%description
A nice little applet for your GNOME panel that helps you never forget
about your tea.

%description -l ru_RU.KOI8-R
  ,      .

%define _libexecdir %_libdir/%_name

%prep
%setup -q -n %_oldname-%version
cat %SOURCE1 >po/ru.po
%patch1
%patch2
%__subst s/%{_oldname}_/%{_amname}_/ src/Makefile.am
%__subst s/%_oldname/%_name/ src/Makefile.am configure.ac \
    GNOME_TeatimeApplet_Factory.server.in.in teatime.schemas
%__subst "s|pixmaps/teatime|/pixmaps/%_name|" pixmaps/Makefile.am src/image-loader.c

%build
%autoreconf
%configure --disable-schemas-install --disable-static

%make_build

%install
%makeinstall

%find_lang --with-gnome %_name

%post
%gconf2_install teatime

%files -f %_name.lang
%dir %_libexecdir
%_libexecdir/*
%_libdir/bonobo/*/*
%_datadir/pixmaps/teatime.png
%dir %_datadir/pixmaps/%_name
%_datadir/pixmaps/%_name/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS README ChangeLog

%changelog
* Sat Dec 11 2010 Yuri N. Sedunov <aris@altlinux.org> 2.8.0-alt3
- updated buildreqs

* Mon May 10 2010 Yuri N. Sedunov <aris@altlinux.org> 2.8.0-alt2.1
- updated buildreqs

* Mon Oct 15 2007 Alexey Rusakov <ktirf@altlinux.org> 2.8.0-alt2
- fixed building with new intltool 

* Sun Feb 04 2007 Alexey Rusakov <ktirf@altlinux.org> 2.8.0-alt1
- new version (2.8.0)
- upstream is back, with the version that builds against gstreamer-0.10
- spec cleanup, buildreqs update

* Tue Feb 28 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.6.0-alt2
- updated buildreqs for X.org 7.0
- minor spec improvements

* Mon Sep 26 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.6.0-alt1
- New upstream version.
- Updated Russian translation.
- Cleaned up buildreqs.

* Sat Jul 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.4.3-alt1
- New upstream version with Russian translation merged in.

* Fri Feb 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.4.1-alt1
- Initial Sisyphus package.

